<?xml version="1.0" encoding="UTF-8"?>
<tns:VectoInputDeclaration xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v0.8" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" schemaVersion="0.8" xmlns:tns="urn:tugraz:ivt:VectoAPI:DeclarationInput:v0.8" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:DeclarationInput:v0.8 ../XSD/VectoInput.xsd" xmlns:di="http://www.w3.org/2000/09/xmldsig#">
			<Engine certificationNumber="e12*0815/8051*2017/05E0000*00">
				<Data id="ENG-43f42b29ab8f475ab9af">
					<Manufacturer>Generic Engine Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck Engine</Model>
					<TechnicalReportId>ENG-gooZah3D</TechnicalReportId>
					<Date>2017-02-15T11:00:00Z</Date>
					<AppVersion>VectoEngine x.y</AppVersion>
					<Displacement>12730</Displacement>
					<IdlingSpeed>560</IdlingSpeed>
					<RatedSpeed>2200</RatedSpeed>
					<RatedPower>380000</RatedPower>
					<MaxEngineTorque>2300</MaxEngineTorque>
					<WHTCUrban >1.0097</WHTCUrban>
					
					
					
					
					<WHTCRural>1.0035</WHTCRural>
					<WHTCMotorway>1.0200</WHTCMotorway>
					<BFColdHot>1.0000</BFColdHot>
					<CFRegPer>1.0000</CFRegPer>
					<CFNCV>1.0000</CFNCV>
					<FuelType >Diesel CI</FuelType>
					<FuelConsumptionMap  additional="test">
						<Entry engineSpeed="560.00"              torque="-149.00" fuelConsumption="0.00" />
						<Entry engineSpeed="560.00" torque="0.00" fuelConsumption="1256.00"/>
						<Entry engineSpeed="560.00" torque="200.00" fuelConsumption="3197.00"/>
						<Entry engineSpeed="560.00" torque="400.00" fuelConsumption="5295.00"/>
						<Entry engineSpeed="560.00" torque="600.00" fuelConsumption="7615.00"/>
						<Entry engineSpeed="560.00" torque="800.00" fuelConsumption="9375.00"/>
						<Entry engineSpeed="560.00" torque="1000.00" fuelConsumption="11239.00"/>
						<Entry engineSpeed="560.00" torque="1180.00" fuelConsumption="12869.00"/>
						<Entry engineSpeed="600.00" torque="1000.00" fuelConsumption="12071.00"/>
						<Entry engineSpeed="600.00" torque="1200.00" fuelConsumption="14201.00"/>
						<Entry engineSpeed="600.00" torque="1282.00" fuelConsumption="15304.00"/>
						<Entry engineSpeed="800.00" torque="-149.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="600.00" torque="-148.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="600.00" torque="0.00" fuelConsumption="1459.00"/>
						<Entry engineSpeed="600.00" torque="200.00" fuelConsumption="3358.00"/>
						<Entry engineSpeed="600.00" torque="400.00" fuelConsumption="5498.00"/>
						<Entry engineSpeed="600.00" torque="600.00" fuelConsumption="8101.00"/>
						<Entry engineSpeed="600.00" torque="800.00" fuelConsumption="10014.00"/>
						
						<Entry engineSpeed="800.00" torque="0.00" fuelConsumption="1879.00"/>
						<Entry engineSpeed="800.00" torque="200.00" fuelConsumption="4286.00"/>
						<Entry engineSpeed="800.00" torque="400.00" fuelConsumption="7021.00"/>
						<Entry engineSpeed="800.00" torque="600.00" fuelConsumption="10059.00"/>
						<Entry engineSpeed="800.00" torque="800.00" fuelConsumption="13086.00"/>
						<Entry engineSpeed="800.00" torque="1000.00" fuelConsumption="16015.00"/>
						<Entry engineSpeed="800.00" torque="1200.00" fuelConsumption="19239.00"/>
						<Entry engineSpeed="800.00" torque="1400.00" fuelConsumption="22426.00"/>
						<Entry engineSpeed="800.00" torque="1600.00" fuelConsumption="25483.00"/>
						<Entry engineSpeed="800.00" torque="1791.00" fuelConsumption="28905.00"/>
						<Entry engineSpeed="1000.00" torque="-160.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="1000.00" torque="0.00" fuelConsumption="2865.00"/>
						<Entry engineSpeed="1000.00" torque="200.00" fuelConsumption="5963.00"/>
						<Entry engineSpeed="1000.00" torque="400.00" fuelConsumption="9198.00"/>
						<Entry engineSpeed="1000.00" torque="600.00" fuelConsumption="12354.00"/>
						<Entry engineSpeed="1000.00" torque="800.00" fuelConsumption="15965.00"/>
						<Entry engineSpeed="1000.00" torque="1000.00" fuelConsumption="19864.00"/>
						<Entry engineSpeed="1000.00" torque="1200.00" fuelConsumption="23530.00"/>
						<Entry engineSpeed="1000.00" torque="1400.00" fuelConsumption="27202.00"/>
						<Entry engineSpeed="1000.00" torque="1600.00" fuelConsumption="31165.00"/>
						<Entry engineSpeed="1000.00" torque="1800.00" fuelConsumption="35103.00"/>
						<Entry engineSpeed="1000.00" torque="2000.00" fuelConsumption="39360.00"/>
						<Entry engineSpeed="1000.00" torque="2200.00" fuelConsumption="44120.00"/>
						<Entry engineSpeed="1000.00" torque="2300.00" fuelConsumption="46836.00"/>
						<Entry engineSpeed="1200.00" torque="-179.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="1200.00" torque="0.00" fuelConsumption="3307.00"/>
						<Entry engineSpeed="1200.00" torque="200.00" fuelConsumption="6897.00"/>
						<Entry engineSpeed="1200.00" torque="400.00" fuelConsumption="10651.00"/>
						<Entry engineSpeed="1200.00" torque="600.00" fuelConsumption="14645.00"/>
						<Entry engineSpeed="1200.00" torque="800.00" fuelConsumption="19115.00"/>
						<Entry engineSpeed="1200.00" torque="1000.00" fuelConsumption="23677.00"/>
						<Entry engineSpeed="1200.00" torque="1200.00" fuelConsumption="28180.00"/>
						<Entry engineSpeed="1200.00" torque="1400.00" fuelConsumption="32431.00"/>
						<Entry engineSpeed="1200.00" torque="1600.00" fuelConsumption="36698.00"/>
						<Entry engineSpeed="1200.00" torque="1800.00" fuelConsumption="41691.00"/>
						<Entry engineSpeed="1200.00" torque="2000.00" fuelConsumption="46915.00"/>
						<Entry engineSpeed="1200.00" torque="2200.00" fuelConsumption="51783.00"/>
						<Entry engineSpeed="1200.00" torque="2300.00" fuelConsumption="54932.00"/>
						<Entry engineSpeed="1400.00" torque="-203.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="1400.00" torque="0.00" fuelConsumption="4306.00"/>
						<Entry engineSpeed="1400.00" torque="200.00" fuelConsumption="8143.00"/>
						<Entry engineSpeed="1400.00" torque="400.00" fuelConsumption="12723.00"/>
						<Entry engineSpeed="1400.00" torque="600.00" fuelConsumption="17523.00"/>
						<Entry engineSpeed="1400.00" torque="800.00" fuelConsumption="22288.00"/>
						<Entry engineSpeed="1400.00" torque="1000.00" fuelConsumption="27093.00"/>
						<Entry engineSpeed="1400.00" torque="1200.00" fuelConsumption="32536.00"/>
						<Entry engineSpeed="1400.00" torque="1400.00" fuelConsumption="37746.00"/>
						<Entry engineSpeed="1400.00" torque="1600.00" fuelConsumption="43194.00"/>
						<Entry engineSpeed="1400.00" torque="1800.00" fuelConsumption="49453.00"/>
						<Entry engineSpeed="1400.00" torque="2000.00" fuelConsumption="55830.00"/>
						<Entry engineSpeed="1400.00" torque="2200.00" fuelConsumption="61072.00"/>
						<Entry engineSpeed="1400.00" torque="2300.00" fuelConsumption="64377.00"/>
						<Entry engineSpeed="1600.00" torque="-235.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="1600.00" torque="0.00" fuelConsumption="5209.00"/>
						<Entry engineSpeed="1600.00" torque="200.00" fuelConsumption="9669.00"/>
						<Entry engineSpeed="1600.00" torque="400.00" fuelConsumption="14838.00"/>
						<Entry engineSpeed="1600.00" torque="600.00" fuelConsumption="20127.00"/>
						<Entry engineSpeed="1600.00" torque="800.00" fuelConsumption="25894.00"/>
						<Entry engineSpeed="1600.00" torque="1000.00" fuelConsumption="31631.00"/>
						<Entry engineSpeed="1600.00" torque="1200.00" fuelConsumption="37248.00"/>
						<Entry engineSpeed="1600.00" torque="1400.00" fuelConsumption="42826.00"/>
						<Entry engineSpeed="1600.00" torque="1600.00" fuelConsumption="49752.00"/>
						<Entry engineSpeed="1600.00" torque="1800.00" fuelConsumption="57020.00"/>
						<Entry engineSpeed="1600.00" torque="2000.00" fuelConsumption="63914.00"/>
						<Entry engineSpeed="1600.00" torque="2079.00" fuelConsumption="66520.00"/>
						<Entry engineSpeed="1800.00" torque="-264.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="1800.00" torque="0.00" fuelConsumption="6409.00"/>
						<Entry engineSpeed="1800.00" torque="200.00" fuelConsumption="11777.00"/>
						<Entry engineSpeed="1800.00" torque="400.00" fuelConsumption="17320.00"/>
						<Entry engineSpeed="1800.00" torque="600.00" fuelConsumption="23394.00"/>
						<Entry engineSpeed="1800.00" torque="800.00" fuelConsumption="30501.00"/>
						<Entry engineSpeed="1800.00" torque="1000.00" fuelConsumption="36378.00"/>
						<Entry engineSpeed="1800.00" torque="1200.00" fuelConsumption="43079.00"/>
						<Entry engineSpeed="1800.00" torque="1400.00" fuelConsumption="49796.00"/>
						<Entry engineSpeed="1800.00" torque="1600.00" fuelConsumption="57436.00"/>
						<Entry engineSpeed="1800.00" torque="1800.00" fuelConsumption="65157.00"/>
						<Entry engineSpeed="1800.00" torque="1857.00" fuelConsumption="67574.00"/>
						<Entry engineSpeed="2000.00" torque="-301.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="2000.00" torque="0.00" fuelConsumption="9127.00"/>
						<Entry engineSpeed="2000.00" torque="200.00" fuelConsumption="14822.00"/>
						<Entry engineSpeed="2000.00" torque="400.00" fuelConsumption="20655.00"/>
						<Entry engineSpeed="2000.00" torque="600.00" fuelConsumption="27076.00"/>
						<Entry engineSpeed="2000.00" torque="800.00" fuelConsumption="34188.00"/>
						<Entry engineSpeed="2000.00" torque="1000.00" fuelConsumption="42837.00"/>
						<Entry engineSpeed="2000.00" torque="1200.00" fuelConsumption="51018.00"/>
						<Entry engineSpeed="2000.00" torque="1352.00" fuelConsumption="56618.00"/>
						<Entry engineSpeed="2100.00" torque="-320.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="2100.00" torque="0.00" fuelConsumption="10470.00"/>
						<Entry engineSpeed="2100.00" torque="200.00" fuelConsumption="16332.00"/>
						<Entry engineSpeed="2100.00" torque="400.00" fuelConsumption="22396.00"/>
						<Entry engineSpeed="2100.00" torque="600.00" fuelConsumption="28914.00"/>
						<Entry engineSpeed="2100.00" torque="800.00" fuelConsumption="35717.00"/>
						<Entry engineSpeed="2100.00" torque="1000.00" fuelConsumption="45643.00"/>
						<Entry engineSpeed="2100.00" torque="1100.00" fuelConsumption="50653.00"/>
					</FuelConsumptionMap>
					<FullLoadAndDragCurve>
						<Entry engineSpeed="560.00" maxTorque="1180.00" dragTorque="-149.00"/>
						<Entry engineSpeed="600.00" maxTorque="1282.00" dragTorque="-148.00"/>
						<Entry engineSpeed="800.00" maxTorque="1791.00" dragTorque="-149.00"/>
						<Entry engineSpeed="1000.00" maxTorque="2300.00" dragTorque="-160.00"/>
						<Entry engineSpeed="1200.00" maxTorque="2300.00" dragTorque="-179.00"/>
						<Entry engineSpeed="1400.00" maxTorque="2300.00" dragTorque="-203.00"/>
						<Entry engineSpeed="1600.00" maxTorque="2079.00" dragTorque="-235.00"/>
						<Entry engineSpeed="1800.00" maxTorque="1857.00" dragTorque="-264.00"/>
						<Entry engineSpeed="2000.00" maxTorque="1352.00" dragTorque="-301.00"/>
						<Entry engineSpeed="2100.00" maxTorque="1100.00" dragTorque="-320.00"/>
					</FullLoadAndDragCurve>
				</Data>
				<Signature><di:Reference URI="#ENG-43f42b29ab8f475ab9af"><di:Transforms><di:Transform Algorithm="urn:vecto:xml:2017:canonicalization" /><di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" /></di:Transforms><di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256" /><di:DigestValue>1pwZNAESghdeF5V/pwdr51EV7J8vVk/FpHr6m0PoHC4=</di:DigestValue></di:Reference></Signature>
				<Signature><di:Reference URI="#ENG-43f42b29ab8f475ab9af"><di:Transforms><di:Transform Algorithm="urn:vecto:xml:2017:canonicalization" /><di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" /></di:Transforms><di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256" /><di:DigestValue>M7Zjrmjlhmcu5TThBXbjq4lP8BVo7SgW8yXaK5iOB5g=</di:DigestValue></di:Reference></Signature>
			</Engine>
			
</tns:VectoInputDeclaration>
